Share via


Cluster Principal Assignments - Get

Gets a Kusto cluster principalAssignment.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Kusto/clusters/{clusterName}/principalAssignments/{principalAssignmentName}?api-version=2025-02-14

URI Parameters

Name In Required Type Description
clusterName
path True

string

pattern: ^.*$

The name of the Kusto cluster.

principalAssignmentName
path True

string

pattern: ^.*$

The name of the Kusto principalAssignment.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ClusterPrincipalAssignment

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

KustoClusterPrincipalAssignmentsGet

Sample request

GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/clusters/kustoCluster/principalAssignments/kustoprincipal1?api-version=2025-02-14

Sample response

{
  "name": "kustoCluster/kustoprincipal1",
  "type": "Microsoft.Kusto/Clusters/PrincipalAssignments",
  "id": "/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/Clusters/kustoCluster/PrincipalAssignments/kustoprincipal1",
  "properties": {
    "aadObjectId": "98765432-1234-1234-1234-123456789123",
    "principalId": "87654321-1234-1234-1234-123456789123",
    "principalName": "TestApp",
    "principalType": "App",
    "provisioningState": "Succeeded",
    "role": "AllDatabasesAdmin",
    "tenantId": "12345678-1234-1234-1234-123456789123",
    "tenantName": "tenantName"
  }
}

Definitions

Name Description
ClusterPrincipalAssignment

Class representing a cluster principal assignment.

ClusterPrincipalRole

Cluster principal role.

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

PrincipalType

Principal type.

ProvisioningState

The provisioned state of the resource.

systemData

Metadata pertaining to creation and last modification of the resource.

ClusterPrincipalAssignment

Class representing a cluster principal assignment.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties.aadObjectId

string

The service principal object id in AAD (Azure active directory)

properties.principalId

string

The principal ID assigned to the cluster principal. It can be a user email, application ID, or security group name.

properties.principalName

string

The principal name

properties.principalType

PrincipalType

Principal type.

properties.provisioningState

ProvisioningState

The provisioned state of the resource.

properties.role

ClusterPrincipalRole

Cluster principal role.

properties.tenantId

string

The tenant id of the principal

properties.tenantName

string

The tenant name of the principal

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ClusterPrincipalRole

Cluster principal role.

Value Description
AllDatabasesAdmin

AllDatabasesAdmin

AllDatabasesViewer

AllDatabasesViewer

AllDatabasesMonitor

AllDatabasesMonitor

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

PrincipalType

Principal type.

Value Description
App

App

Group

Group

User

User

ProvisioningState

The provisioned state of the resource.

Value Description
Running

Running

Creating

Creating

Deleting

Deleting

Succeeded

Succeeded

Failed

Failed

Moving

Moving

Canceled

Canceled

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.